Skip to main content
GET
Get event

Authorizations

Authorization
string
header
required

API key authentication. Use format: Authorization: Bearer tavrn_sk_live_...

Path Parameters

id
string
required

Event ID

Response

The event

A persisted event: the same body a webhook delivers, readable for 30 days.

id
string
required

Deterministic event ID; equals the webhook body id and the X-Webhook-Event-Id header

Example:

"rr-06a28fdc7a8abfa2a1c98dd0562020ebb41ca740377930a736854d23a6c9881a"

object
enum<string>
required
Available options:
event
type
string
required

Event type

Example:

"retrieval_request.status_changed"

created_at
string<date-time>
required
data
object
required

Event-specific payload; identical to the webhook body data for the same id

api_version
string | null

API version the event was rendered with

Example:

"v2"

request_id
string | null

Request ID of the API call that caused the event, when it was caused by one